cURL
curl --request POST \
--url https://my.orq.ai/v3/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"description": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"is_private": true,
"version": 123
}
'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
const result = await orq.views.create({ displayName: 'Errors', page: 'traces-studio', filterBy: '', columns: [] });
import requests
url = "https://my.orq.ai/v3/views"
payload = {
"display_name": "<string>",
"description": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": ["<string>"],
"column_labels": {},
"is_default": True,
"is_private": True,
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"view": {
"id": "<string>",
"display_name": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"private_for_ids": [
"<string>"
],
"version": 123,
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Views
Create a saved view
POST
/
v3
/
views
cURL
curl --request POST \
--url https://my.orq.ai/v3/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"description": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"is_private": true,
"version": 123
}
'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
const result = await orq.views.create({ displayName: 'Errors', page: 'traces-studio', filterBy: '', columns: [] });
import requests
url = "https://my.orq.ai/v3/views"
payload = {
"display_name": "<string>",
"description": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": ["<string>"],
"column_labels": {},
"is_default": True,
"is_private": True,
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"view": {
"id": "<string>",
"display_name": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"private_for_ids": [
"<string>"
],
"version": 123,
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?